Skip to main content
GET
/
product-offerings
/
{productOfferingId}
Get product offering
curl --request GET \
  --url https://apiv2.example.com/product-offerings/{productOfferingId} \
  --header 'X-Api-Key: <api-key>'
{
  "productOfferingId": "<string>",
  "status": "AVAILABLE",
  "name": "Seamless 10GB",
  "product": {
    "productId": "<string>",
    "internalName": "<string>",
    "type": "SUBSCRIPTION",
    "category": "PRODUCT_CATEGORY_SUBSCRIPTION_CELL",
    "networkProviderId": "tmobile-us",
    "features": {
      "dataMb": 2048,
      "includedCallSeconds": 1000,
      "includedSms": 500,
      "validityDays": 30,
      "countries": [
        "US",
        "CA",
        "MX"
      ],
      "regions": [
        "NORTH_AMERICA"
      ],
      "activationType": "INSTANT"
    }
  },
  "price": {
    "currency": "USD",
    "priceType": "ONE_TIME",
    "discount": 5,
    "netPrice": 5,
    "boundMonths": 12,
    "billingCycle": {
      "period": "MONTHLY",
      "interval": 1
    }
  },
  "customerType": "CONSUMER",
  "description": "Basic mobile plan with 5GB data and unlimited calls",
  "richContent": "<h3>Features</h3><ul><li>5GB monthly data</li><li>Unlimited calls & texts</li><li>No setup fees</li></ul>",
  "group": {
    "productOfferingGroupId": "mobile-plans",
    "name": "Mobile Plans",
    "category": "PRODUCT_CATEGORY_SUBSCRIPTION_CELL",
    "description": "Bundled cell subscriptions with unlimited calls and SMS with ILD enabled.",
    "internalDescription": "Core mobile offerings targeting consumer and business segments"
  },
  "addonCategories": [
    "PRODUCT_CATEGORY_SUBSCRIPTION_CELL"
  ],
  "internalDescription": "seamless_cell_10gb_us",
  "imageUrl": "https://cdn.example.com/images/mobile-basic.png",
  "metadata": {}
}

Authorizations

X-Api-Key
string
header
required

An API key that grants access to the Connect API. You can create and manage API keys in the portal.

Path Parameters

productOfferingId
string
required

The unique identifier of the product offering.

Query Parameters

promoCode
string

Apply promotional pricing by providing a valid promo code.

Response

Product offering details.

A product offering is a product combined with a price that is offered to customers.

The offering's type and category are available via the nested product object. See ProductType and ProductCategory schemas for available values and their meanings.

productOfferingId
string
required

Unique identifier for the product offering.

status
enum<string>
required

The status of the product offering.

Archived offerings are not allowed to be created/ordered by customers, but can still be used for existing subscriptions.

Available options:
AVAILABLE,
ARCHIVED
Example:

"AVAILABLE"

name
string
required

Name of the product offering.

Example:

"Seamless 10GB"

product
object
required

Embedded representation of a product.

price
object
required

Pricing information with discount details.

customerType
enum<string>
required

The type of customer.

Available options:
CONSUMER,
BUSINESS
description
string

Description of the product offering.

Example:

"Basic mobile plan with 5GB data and unlimited calls"

richContent
string

Rich HTML content with detailed information about the product offering.

Example:

"<h3>Features</h3><ul><li>5GB monthly data</li><li>Unlimited calls & texts</li><li>No setup fees</li></ul>"

group
object

A product group organizes related product offerings.

addonCategories
enum<string>[]

List of product categories this addon is applicable for. Only populated when type is SUBSCRIPTION_ADDON. For example, a TRAVEL_ESIM_PACKAGE addon might be applicable to TRAVEL_ESIM subscriptions.

A product category is a sub-type for grouping offerings of the same type.

Typically, product offerings of the same type with the same category allow for switching between them. For upgrading and downgrading subscriptions and licenses, we recommend using their corresponding endpoints though.

Categories are grouped by their product type:

SUBSCRIPTION categories:

  • PRODUCT_CATEGORY_SUBSCRIPTION_CELL - Mobile cellular subscription
  • PRODUCT_CATEGORY_SUBSCRIPTION_DATA_SIM - Data-only SIM subscription
  • PRODUCT_CATEGORY_SUBSCRIPTION_BROADBAND - Broadband internet subscription
  • PRODUCT_CATEGORY_SUBSCRIPTION_M2M - Machine-to-machine IoT subscription
  • PRODUCT_CATEGORY_TRAVEL_ESIM - Travel eSIM subscription for international roaming

SUBSCRIPTION_ADDON categories:

  • PRODUCT_CATEGORY_EXTRA_DATA - Additional data package addon
  • PRODUCT_CATEGORY_TRAVEL_ESIM_PACKAGE - Travel eSIM data package with country/region coverage
  • PRODUCT_CATEGORY_ABROAD - International roaming addon

EXTERNAL_PRODUCT categories:

  • PRODUCT_CATEGORY_EXTERNAL_PRODUCT - External purchasable product
  • PRODUCT_CATEGORY_EXTERNAL_PRODUCT_ADDON - Addon for external product
Available options:
PRODUCT_CATEGORY_SUBSCRIPTION_CELL,
PRODUCT_CATEGORY_SUBSCRIPTION_DATA_SIM,
PRODUCT_CATEGORY_SUBSCRIPTION_BROADBAND,
PRODUCT_CATEGORY_SUBSCRIPTION_M2M,
PRODUCT_CATEGORY_TRAVEL_ESIM,
PRODUCT_CATEGORY_EXTRA_DATA,
PRODUCT_CATEGORY_TRAVEL_ESIM_PACKAGE,
PRODUCT_CATEGORY_ABROAD,
PRODUCT_CATEGORY_EXTERNAL_PRODUCT,
PRODUCT_CATEGORY_EXTERNAL_PRODUCT_ADDON
internalDescription
string

Internal description of the product offering for operational use only.

Example:

"seamless_cell_10gb_us"

imageUrl
string<uri>

URL to the image representing the product offering.

Example:

"https://cdn.example.com/images/mobile-basic.png"

metadata
object

A set of key-value pairs that can be attached to an object for storing additional information in a semi-structured format.